<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/interstitial/ChangeOrientationMessage.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/interstitial/ChangeOrientationMessage.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { h, Component } from &#x27;preact&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)

/**
 * komunikat o konieczności obrócenia ekranu
 *
 * @export
 * @class ChangeOrientation
 * @extends {Component}
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {&#x27;landscape&#x27;|&#x27;portrait&#x27;} [props.displayOn&#x3D;landscape] - orientacja ekranu, na której ma być wyświetlany komunikat
 */
export class ChangeOrientationMessage extends Component {
  constructor (props, state) {
    super(props, state)
    if (!(&#x27;displayOn&#x27; in this.props)) this.props.displayOn &#x3D; &#x27;landscape&#x27;
  }

  render () {
    return (
      &amp;lt;div className&#x3D;{classNames(&#x27;changeOrientation&#x27;, this.props.displayOn)}&gt;
        &amp;lt;div&gt;
          &amp;lt;svg xmlns&#x3D;&quot;http://www.w3.org/2000/svg&quot; viewBox&#x3D;&quot;0 0 392.657 392.656&quot;&gt;
            &amp;lt;g&gt;
              &amp;lt;path
                fill&#x3D;&quot;currentColor&quot;
                d&#x3D;&quot;M266.182,62.711c15.014,21.124,21.545,46.847,18.255,73.22c-0.688,5.546,6.11,6.426,9.037,6.799
                     c1.338,0.172,2.581,0.239,3.576,0.239c5.44,0,6.607-2.888,6.942-5.441c3.786-30.418-3.969-61.028-21.841-86.196
                     c-9.477-13.32-21.296-24.403-35.104-32.943C227.693,6.359,205.413,0,182.654,0c-30.342,0-59.412,11.15-81.855,31.375
                     c-1.042,0.928-3.031,1.062-4.035,0.306l-8.291-6.417c-3.768-2.897-7.994-2.744-10.433,0.019c-1.023,1.176-2.161,3.347-1.683,6.923
                     l3.414,26.564c0.727,5.719,5.613,10.031,11.36,10.031l28.018-3.509c5.364-0.65,6.809-3.911,7.181-5.279
                     c0.373-1.377,0.775-4.905-3.48-8.157l-7.488-5.814l-0.191-1.262c18.656-16.247,42.62-25.197,67.473-25.197
                     c19.115,0,37.82,5.336,54.076,15.415C248.338,42.228,258.255,51.551,266.182,62.711z&quot;
              /&gt;
              &amp;lt;path
                fill&#x3D;&quot;currentColor&quot;
                d&#x3D;&quot;M374.544,351.105V218.158c0-10.93-8.854-19.756-19.775-19.756H202.372v26.67h134.104c3.013,0,5.432,2.439,5.432,5.441
                     v108.229c0,3.012-2.429,5.441-5.432,5.441H202.372v26.689h152.388C365.69,370.873,374.544,362.018,374.544,351.105z&quot;
              /&gt;
              &amp;lt;path
                fill&#x3D;&quot;currentColor&quot;
                d&#x3D;&quot;M37.877,392.656h132.948c10.911,0,19.765-8.855,19.765-19.775V119.283c0-10.92-8.864-19.775-19.765-19.775H37.877
                     c-10.93,0-19.766,8.855-19.766,19.775v253.598C18.122,383.801,26.948,392.656,37.877,392.656z M104.021,380.578
                     c-6.885,0-12.45-5.566-12.45-12.441s5.565-12.449,12.45-12.449c6.866,0,12.441,5.574,12.441,12.449
                     S110.887,380.578,104.021,380.578z M44.792,137.566c0-3.012,2.438-5.432,5.441-5.432h108.229c3.012,0,5.441,2.429,5.441,5.432
                     v195.246c0,3.004-2.438,5.432-5.441,5.432H50.232c-3.002,0-5.441-2.428-5.441-5.432V137.566z&quot;
              /&gt;
            &amp;lt;/g&gt;
          &amp;lt;/svg&gt;
          &amp;lt;strong&gt;obróć telefon&amp;lt;/strong&gt;
        &amp;lt;/div&gt;
      &amp;lt;/div&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>